import javax.swing.*;
import java.awt.*;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;

public class FormWarship extends JFrame{
    private int Width;
    private int Height;
    DrawingField field = new DrawingField(this);
    private JButton ButtonDown;
    private JButton ButtonRight;
    private JButton ButtonLeft;
    private JButton ButtonUp;
    private JButton ButtonCreate;
    private JButton ButtonCreateModif;
    public JLabel SpeedLabel;
    public JLabel WeightLabel;
    public JLabel BodyColorLabel;
    private JPanel PictureBox;

    public FormWarship(){
        super("Военный корабль");
        setContentPane(PictureBox);
        setSize(1000,700);
        Width = getWidth();
        Height = getHeight();
        ShowWindow();
        field.setBounds(0,0,Width,Height);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }

    private void ShowWindow(){

        ButtonCreate.addActionListener(e -> {
            field.CreateButtonAction();
            ReDraw();
        });
        ButtonCreateModif.addActionListener(e -> {
            field.CreateModifButtonAction();
            ReDraw();
        });
        ButtonUp.addActionListener(e -> {
            field.DirectionButtonAction(Direction.Up);
            ReDraw();
        });
        ButtonLeft.addActionListener(e -> {
            field.DirectionButtonAction(Direction.Left);
            ReDraw();
        });
        ButtonRight.addActionListener(e -> {
            field.DirectionButtonAction(Direction.Right);
            ReDraw();
        });
        ButtonDown.addActionListener(e -> {
            field.DirectionButtonAction(Direction.Down);
            ReDraw();
        });

        addComponentListener(new ComponentAdapter() {
            @Override
            public  void componentResized(ComponentEvent e){
                super.componentResized(e);
                Width=getWidth();
                Height=getHeight();

                field.ResizeField();
                ReDraw();
                field.setBounds(0,0,Width,Height);
            }
        });
    }
    private void ReDraw()
    {
        Graphics2D graphics = (Graphics2D) PictureBox.getGraphics();
        graphics.clearRect(0, 0, PictureBox.getWidth(), PictureBox.getHeight());
        PictureBox.paintComponents(graphics);
        field.Draw(graphics);
    }
}
